Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159216 - vixie-cron updates for new audit system
Summary: vixie-cron updates for new audit system
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vixie-cron
Version: 4.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Jason Vas Dias
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-05-31 17:33 UTC by Steve Grubb
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2005-361
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 12:34:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:361 qe-ready SHIPPED_LIVE Low: vixie-cron security update 2005-10-05 04:00:00 UTC

Description Steve Grubb 2005-05-31 17:33:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
The vixie-cron package needs some updates for the eal4 certification.

1) The following needs to be added to its pam configuration:

session    required     pam_loginuid.so

It will need to change the Requires to state the pam version that includes the pam_loginuid patch.

2) There were a number of pam cleanups that went into FC4 regarding session closure. They are also required for eal4 cert. They may already be in cvs, I just need to make sure they are in RHEL4.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. New functionality

Additional info:

* The pam config change can be done for rawhide. I think pam-0.79-6 and later have the loginuid module.

Comment 1 Jason Vas Dias 2005-05-31 20:10:15 UTC
I'll update the /etc/pam.d/crond file to require 
'session required pam_loginuid.so'
when pam_loginuid is in RHEL-4 , and in rawhide
on next cron update.

Comment 2 Jason Vas Dias 2005-05-31 20:11:36 UTC
I'll update the /etc/pam.d/atd file to require 
'session required pam_loginuid.so'
when pam_loginuid is in RHEL-4 , and in rawhide
on next at update.

Comment 5 Jason Vas Dias 2005-06-17 17:29:35 UTC
vixie-cron-4.1-EL4.34 now submitted to RHEL-4 with requisite 
/etc/pam.d/crond file using pam_loginuid.so .


Comment 9 Red Hat Bugzilla 2005-10-05 12:34:40 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-361.html



Note You need to log in before you can comment on or make changes to this bug.